Index: /palm/trunk/SOURCE/tridia_solver_mod.f90
===================================================================
--- /palm/trunk/SOURCE/tridia_solver_mod.f90	(revision 4179)
+++ /palm/trunk/SOURCE/tridia_solver_mod.f90	(revision 4180)
@@ -30,81 +30,4 @@
 ! OpenACC port for SPEC
 ! 
-! 3274 2018-09-24 15:42:55Z knoop
-! Modularization of all bulk cloud physics code components
-! 
-! 3241 2018-09-12 15:02:00Z raasch
-! unused variables removed
-! 
-! 2718 2018-01-02 08:49:38Z maronga
-! Corrected "Former revisions" section
-! 
-! 2696 2017-12-14 17:12:51Z kanani
-! Change in file header (GPL part)
-!
-! 2119 2017-01-17 16:51:50Z raasch
-!
-! 2118 2017-01-17 16:38:49Z raasch
-! OpenACC directives removed
-! 
-! 2037 2016-10-26 11:15:40Z knoop
-! Anelastic approximation implemented
-! 
-! 2000 2016-08-20 18:09:15Z knoop
-! Forced header and separation lines into 80 columns
-! 
-! 1850 2016-04-08 13:29:27Z maronga
-! Module renamed
-!
-!
-! 1815 2016-04-06 13:49:59Z raasch
-! cpp-switch intel11 removed
-!
-! 1808 2016-04-05 19:44:00Z raasch
-! test output removed
-!
-! 1804 2016-04-05 16:30:18Z maronga
-! Removed code for parameter file check (__check)
-! 
-! 1682 2015-10-07 23:56:08Z knoop
-! Code annotations made doxygen readable 
-! 
-! 1406 2014-05-16 13:47:01Z raasch
-! bugfix for pgi 14.4: declare create moved after array declaration
-! 
-! 1342 2014-03-26 17:04:47Z kanani
-! REAL constants defined as wp-kind
-!
-! 1322 2014-03-20 16:38:49Z raasch
-! REAL functions provided with KIND-attribute
-!
-! 1320 2014-03-20 08:40:49Z raasch
-! ONLY-attribute added to USE-statements,
-! kind-parameters added to all INTEGER and REAL declaration statements,
-! kinds are defined in new module kinds,
-! old module precision_kind is removed,
-! revision history before 2012 removed,
-! comment fields (!:) to be used for variable explanations added to
-! all variable declaration statements 
-!
-! 1257 2013-11-08 15:18:40Z raasch
-! openacc loop and loop vector clauses removed, declare create moved after
-! the FORTRAN declaration statement
-!
-! 1221 2013-09-10 08:59:13Z raasch
-! dummy argument tri in 1d-routines replaced by tri_for_1d because of name
-! conflict with arry tri in module arrays_3d
-!
-! 1216 2013-08-26 09:31:42Z raasch
-! +tridia_substi_overlap for handling overlapping fft / transposition
-!
-! 1212 2013-08-15 08:46:27Z raasch
-! Initial revision.
-! Routines have been moved to seperate module from former file poisfft to here.
-! The tridiagonal matrix coefficients of array tri are calculated only once at
-! the beginning, i.e. routine split is called within tridia_init.
-!
-
-#define __acc_fft_device ( defined( _OPENACC ) && ( defined ( __cuda_fft ) ) )
-
 !
 ! Description:
Index: /palm/trunk/SOURCE/turbulence_closure_mod.f90
===================================================================
--- /palm/trunk/SOURCE/turbulence_closure_mod.f90	(revision 4179)
+++ /palm/trunk/SOURCE/turbulence_closure_mod.f90	(revision 4180)
@@ -66,146 +66,4 @@
 ! Remove unused variable simulated_time
 !
-! 3636 2018-12-19 13:48:34Z raasch
-! nopointer option removed
-!
-! 3634 2018-12-18 12:31:28Z knoop
-! OpenACC port for SPEC
-!
-! 3550 2018-11-21 16:01:01Z gronemeier
-! - calculate diss production same in vector and cache optimization
-! - move boundary condition for e and diss to boundary_conds
-!
-! 3545 2018-11-21 11:19:41Z gronemeier
-! - Set rans_mode according to value of turbulence_closure
-! - removed debug output
-!
-! 3430 2018-10-25 13:36:23Z maronga
-! Added support for buildings in the dynamic SGS model
-!
-! 3398 2018-10-22 19:30:24Z knoop
-! Refactored production_e and production_e_ij (removed code redundancy)
-!
-! 3386 2018-10-19 16:28:22Z gronemeier
-! Renamed tcm_prognostic to tcm_prognostic_equations
-!
-! 3385 2018-10-19 14:52:29Z knoop
-! Restructured loops and ifs in production_e to ease vectorization on GPUs
-!
-! 3300 2018-10-02 14:16:54Z gronemeier
-! - removed global array wall_flags_0_global, hence reduced accuracy of l_wall
-!   calculation
-! - removed maxloc call as this produced different results for different
-!   compiler options
-!
-! 3294 2018-10-01 02:37:10Z raasch
-! changes concerning modularization of ocean option
-!
-! 3274 2018-09-24 15:42:55Z knoop
-! Modularization of all bulk cloud physics code components
-!
-! 3245 2018-09-13 14:08:16Z knoop
-! unused variables removed, shortest_distance has wp now
-!
-! 3183 2018-07-27 14:25:55Z suehring
-! Rename variables and remove unused variable from USE statement
-!
-! 3182 2018-07-27 13:36:03Z suehring
-! Use MOST for km only in RANS mode
-!
-! 3130 2018-07-16 11:08:55Z gronemeier
-! - move boundary condition of km and kh to tcm_diffusivities
-! - calculate km at boundaries according to MOST
-! - move phi_m to surface_layer_fluxes_mod
-!
-! 3129 2018-07-16 07:45:13Z gronemeier
-! - move limitation of diss to boundary_conds
-! - move boundary conditions for e and diss to boundary_conds
-! - consider non-default surfaces in tcm_diffusivities
-! - use z_mo within surface layer instead of calculating it
-! - resort output after case select -> reduced code duplication
-! - when using rans_tke_e and 1d-model, do not use e1d, km1d and diss1d
-!
-! 3121 2018-07-11 18:46:49Z gronemeier
-! - created the function phi_m
-! - implemented km = u* * kappa * zp / phi_m in production_e_init for all
-!   surfaces
-!
-! 3120 2018-07-11 18:30:57Z gronemeier
-! - changed tcm_diffusivities to tcm_diffusivities_default
-! - created subroutine tcm_diffusivities that calls tcm_diffusivities_default
-!   and tcm_diffusivities_dynamic
-!
-! 3086 2018-06-25 09:08:04Z gronemeier
-! bugfix: set rans_const_sigma(1) = 1.3
-!
-! 3083 2018-06-19 14:03:12Z gronemeier
-! - set limits of diss at the end of prognostic equations
-! - call production_e to calculate production term of diss
-! - limit change of diss to -90% to +100%
-! - remove factor 0.5 from diffusion_diss_ij
-! - rename c_m into c_0, and c_h into c_4
-! - add rans_const_c and rans_const_sigma as namelist parameters
-! - add calculation of mixing length for profile output in case of rans_tke_e
-! - changed format of annotations to comply with doxygen standards
-! - calculate and save dissipation rate during rans_tke_l mode
-! - set bc at vertical walls for e, diss, km, kh
-! - bugfix: set l_wall = 0.0 within buildings
-! - set l_wall at bottom and top boundary (rans-mode)
-! - bugfix in production term for dissipation rate
-! - bugfix in diffusion of dissipation rate
-! - disable check for 1D model if rans_tke_e is used
-! - bugfixes for initialization (rans-mode):
-!    - correction of dissipation-rate formula
-!    - calculate km based on l_wall
-!    - initialize diss if 1D model is not used
-!
-! 3045 2018-05-28 07:55:41Z Giersch
-! Error message revised
-!
-! 3014 2018-05-09 08:42:38Z maronga
-! Bugfix: nzb_do and nzt_do were not used for 3d data output
-!
-! 3004 2018-04-27 12:33:25Z Giersch
-! Further allocation checks implemented
-!
-! 2938 2018-03-27 15:52:42Z suehring
-! Further todo's
-!
-! 2936 2018-03-27 14:49:27Z gronemeier
-! - defined l_grid only within this module
-! - Moved l_wall definition from modules.f90
-! - Get level of highest topography, used to limit upward distance calculation
-! - Consider cyclic boundary conditions for mixing length calculation
-! - Moved copy of wall_flags into subarray to subroutine
-! - Implemented l_wall calculation in case of RANS simulation
-! - Moved init of l_black to tcm_init_mixing_length
-! - Moved init_mixing_length from init_grid.f90 and
-!   renamed it to tcm_init_mixing_length
-!
-! 2764 2018-01-22 09:25:36Z gronemeier
-! Bugfix: remove duplicate SAVE statements
-!
-! 2746 2018-01-15 12:06:04Z suehring
-! Move flag plant canopy to modules
-!
-! 2718 2018-01-02 08:49:38Z maronga
-! Corrected "Former revisions" section
-!
-! 2701 2017-12-15 15:40:50Z suehring
-! Changes from last commit documented
-!
-! 2698 2017-12-14 18:46:24Z suehring
-! Bugfix in get_topography_top_index
-!
-! 2696 2017-12-14 17:12:51Z kanani
-! Initial revision
-!
-!
-!
-!
-! Authors:
-! --------
-! @author Tobias Gronemeier
-! @author Hauke Wurps
 !
 ! Description:
Index: /palm/trunk/SOURCE/urban_surface_mod.f90
===================================================================
--- /palm/trunk/SOURCE/urban_surface_mod.f90	(revision 4179)
+++ /palm/trunk/SOURCE/urban_surface_mod.f90	(revision 4180)
@@ -140,325 +140,4 @@
 ! Implementation of the PALM module interface
 ! 
-! 3636 2018-12-19 13:48:34Z raasch
-! nopointer option removed
-! 
-! 3614 2018-12-10 07:05:46Z raasch
-! unused variables removed
-! 
-! 3607 2018-12-07 11:56:58Z suehring
-! Output of radiation-related quantities migrated to radiation_model_mod.
-! 
-! 3597 2018-12-04 08:40:18Z maronga
-! Fixed calculation method of near surface air potential temperature at 10 cm
-! and moved to surface_layer_fluxes. Removed unnecessary _eb strings.
-! 
-! 3524 2018-11-14 13:36:44Z raasch
-! bugfix concerning allocation of t_surf_wall_v
-! 
-! 3502 2018-11-07 14:45:23Z suehring
-! Disable initialization of building roofs with ground-floor-level properties, 
-! since this causes strong oscillations of surface temperature during the 
-! spinup.
-! 
-! 3469 2018-10-30 20:05:07Z kanani
-! Add missing PUBLIC variables for new indoor model
-! 
-! 3449 2018-10-29 19:36:56Z suehring
-! Bugfix: Fix average arrays allocations in usm_3d_data_averaging (J.Resler)
-! Bugfix: Fix reading wall temperatures (J.Resler)
-! Bugfix: Fix treating of outputs for wall temperature and sky view factors (J.Resler)
-!
-! 
-! 3435 2018-10-26 18:25:44Z gronemeier
-! Bugfix: allocate gamma_w_green_sat until nzt_wall+1
-! 
-! 3418 2018-10-24 16:07:39Z kanani
-! (rvtils, srissman)
-! -Updated building databse, two green roof types (ind_green_type_roof)
-! -Latent heat flux for green walls and roofs, new output of latent heatflux
-!  and soil water content of green roof substrate
-! -t_surf changed to t_surf_wall
-! -Added namelist parameter usm_wall_mod for lower wall tendency
-!  of first two wall layers during spinup
-! -Window calculations deactivated during spinup
-! 
-! 3382 2018-10-19 13:10:32Z knoop
-! Bugix: made array declaration Fortran Standard conform
-! 
-! 3378 2018-10-19 12:34:59Z kanani
-! merge from radiation branch (r3362) into trunk
-! (moh.hefny):
-! - check the requested output variables if they are correct
-! - added unscheduled_radiation_calls switch to control force_radiation_call
-! - minor formate changes
-! 
-! 3371 2018-10-18 13:40:12Z knoop
-! Set flag indicating that albedo at urban surfaces is already initialized
-! 
-! 3347 2018-10-15 14:21:08Z suehring
-! Enable USM initialization with default building parameters in case no static
-! input file exist. 
-! 
-! 3343 2018-10-15 10:38:52Z suehring
-! Add output variables usm_rad_pc_inlw, usm_rad_pc_insw*
-! 
-! 3274 2018-09-24 15:42:55Z knoop
-! Modularization of all bulk cloud physics code components
-! 
-! 3248 2018-09-14 09:42:06Z sward
-! Minor formating changes
-! 
-! 3246 2018-09-13 15:14:50Z sward
-! Added error handling for input namelist via parin_fail_message
-! 
-! 3241 2018-09-12 15:02:00Z raasch
-! unused variables removed
-! 
-! 3223 2018-08-30 13:48:17Z suehring
-! Bugfix for commit 3222
-! 
-! 3222 2018-08-30 13:35:35Z suehring
-! Introduction of surface array for type and its name
-! 
-! 3203 2018-08-23 10:48:36Z suehring
-! Revise bulk parameter for emissivity at ground-floor level
-! 
-! 3196 2018-08-13 12:26:14Z maronga
-! Added maximum aerodynamic resistance of 300 for horiztonal surfaces.
-! 
-! 3176 2018-07-26 17:12:48Z suehring
-! Bugfix, update virtual potential surface temparture, else heat fluxes on 
-! roofs might become unphysical
-! 
-! 3152 2018-07-19 13:26:52Z suehring
-! Initialize q_surface, which might be used in surface_layer_fluxes
-! 
-! 3151 2018-07-19 08:45:38Z raasch
-! remaining preprocessor define strings __check removed
-! 
-! 3136 2018-07-16 14:48:21Z suehring
-! Limit also roughness length for heat and moisture where necessary
-! 
-! 3123 2018-07-12 16:21:53Z suehring
-! Correct working precision for INTEGER number
-! 
-! 3115 2018-07-10 12:49:26Z suehring
-! Additional building type to represent bridges 
-! 
-! 3091 2018-06-28 16:20:35Z suehring
-! - Limit aerodynamic resistance at vertical walls.
-! - Add check for local roughness length not exceeding surface-layer height and
-!   limit roughness length where necessary.
-! 
-! 3065 2018-06-12 07:03:02Z Giersch
-! Unused array dxdir was removed, dz was replaced by dzu to consider vertical
-! grid stretching
-! 
-! 3049 2018-05-29 13:52:36Z Giersch
-! Error messages revised
-! 
-! 3045 2018-05-28 07:55:41Z Giersch
-! Error message added
-! 
-! 3029 2018-05-23 12:19:17Z raasch
-! bugfix: close unit 151 instead of 90
-! 
-! 3014 2018-05-09 08:42:38Z maronga
-! Added pc_transpiration_rate
-! 
-! 2977 2018-04-17 10:27:57Z kanani
-! Implement changes from branch radiation (r2948-2971) with minor modifications.
-! (moh.hefny):
-! Extended exn for all model domain height to avoid the need to get nzut.
-! 
-! 2963 2018-04-12 14:47:44Z suehring
-! Introduce index for vegetation/wall, pavement/green-wall and water/window 
-! surfaces, for clearer access of surface fraction, albedo, emissivity, etc. .
-! 
-! 2943 2018-04-03 16:17:10Z suehring
-! Calculate exner function at all height levels and remove some un-used
-! variables.
-! 
-! 2932 2018-03-26 09:39:22Z maronga
-! renamed urban_surface_par to urban_surface_parameters
-! 
-! 2921 2018-03-22 15:05:23Z Giersch
-! The activation of spinup has been moved to parin
-! 
-! 2920 2018-03-22 11:22:01Z kanani
-! Remove unused pcbl, npcbl from ONLY list
-! moh.hefny:
-! Fixed bugs introduced by new structures and by moving radiation interaction
-! into radiation_model_mod.f90.
-! Bugfix: usm data output 3D didn't respect directions
-! 
-! 2906 2018-03-19 08:56:40Z Giersch
-! Local variable ids has to be initialized with a value of -1 in 
-! usm_3d_data_averaging
-! 
-! 2894 2018-03-15 09:17:58Z Giersch
-! Calculations of the index range of the subdomain on file which overlaps with
-! the current subdomain are already done in read_restart_data_mod,
-! usm_read/write_restart_data have been renamed to usm_r/wrd_local, variable 
-! named found has been introduced for checking if restart data was found, 
-! reading of restart strings has been moved completely to 
-! read_restart_data_mod, usm_rrd_local is already inside the overlap loop 
-! programmed in read_restart_data_mod, SAVE attribute added where necessary, 
-! deallocation and allocation of some arrays have been changed to take care of 
-! different restart files that can be opened (index i), the marker *** end usm 
-! *** is not necessary anymore, strings and their respective lengths are 
-! written out and read now in case of restart runs to get rid of prescribed 
-! character lengths
-! 
-! 2805 2018-02-14 17:00:09Z suehring
-! Initialization of resistances.
-! 
-! 2797 2018-02-08 13:24:35Z suehring
-! Comment concerning output of ground-heat flux added.
-! 
-! 2766 2018-01-22 17:17:47Z kanani
-! Removed redundant commas, added some blanks
-! 
-! 2765 2018-01-22 11:34:58Z maronga
-! Major bugfix in calculation of f_shf. Adjustment of roughness lengths in
-! building_pars
-! 
-! 2750 2018-01-15 16:26:51Z knoop
-! Move flag plant canopy to modules
-! 
-! 2737 2018-01-11 14:58:11Z kanani
-! Removed unused variables t_surf_whole...
-! 
-! 2735 2018-01-11 12:01:27Z suehring
-! resistances are saved in surface attributes
-! 
-! 2723 2018-01-05 09:27:03Z maronga
-! Bugfix for spinups (end_time was increased twice in case of LSM + USM runs)
-! 
-! 2720 2018-01-02 16:27:15Z kanani
-! Correction of comment
-! 
-! 2718 2018-01-02 08:49:38Z maronga
-! Corrected "Former revisions" section
-! 
-! 2705 2017-12-18 11:26:23Z maronga
-! Changes from last commit documented
-! 
-! 2703 2017-12-15 20:12:38Z maronga
-! Workaround for calculation of r_a
-!
-! 2696 2017-12-14 17:12:51Z kanani
-! - Change in file header (GPL part)
-! - Bugfix in calculation of pt_surface and related fluxes. (BM)
-! - Do not write surface temperatures onto pt array as this might cause 
-!   problems with nesting. (MS)
-! - Revised calculation of pt1 (now done in surface_layer_fluxes).
-!   Bugfix, f_shf_window and f_shf_green were not set at vertical surface 
-!   elements. (MS)
-! - merged with branch ebsolver
-!   green building surfaces do not evaporate yet
-!   properties of green wall layers and window layers are taken from wall layers
-!   this input data is missing. (RvT)
-! - Merged with branch radiation (developed by Mohamed Salim)
-! - Revised initialization. (MS)
-! - Rename emiss_surf into emissivity, roughness_wall into z0, albedo_surf into 
-!   albedo. (MS)
-! - Move first call of usm_radiatin from usm_init to init_3d_model
-! - fixed problem with near surface temperature
-! - added near surface temperature pt_10cm_h(m), pt_10cm_v(l)%t(m)
-! - does not work with temp profile including stability, ol
-!   pt_10cm = pt1 now
-! - merged with 2357 bugfix, error message for nopointer version
-! - added indoor model coupling with wall heat flux
-! - added green substrate/ dry vegetation layer for buildings
-! - merged with 2232 new surface-type structure
-! - added transmissivity of window tiles
-! - added MOSAIK tile approach for 3 different surfaces (RvT)
-! 
-! 2583 2017-10-26 13:58:38Z knoop
-! Bugfix: reverted MPI_Win_allocate_cptr introduction in last commit 
-!
-! 2582 2017-10-26 13:19:46Z hellstea
-! Workaround for gnufortran compiler added in usm_calc_svf. CALL MPI_Win_allocate is
-! replaced by CALL MPI_Win_allocate_cptr if defined ( __gnufortran ).
-!
-! 2544 2017-10-13 18:09:32Z maronga
-! Date and time quantities are now read from date_and_time_mod. Solar constant is
-! read from radiation_model_mod
-! 
-! 2516 2017-10-04 11:03:04Z suehring
-! Remove tabs
-! 
-! 2514 2017-10-04 09:52:37Z suehring
-! upper bounds of 3d output changed from nx+1,ny+1 to nx,ny
-! no output of ghost layer data
-! 
-! 2350 2017-08-15 11:48:26Z kanani
-! Bugfix and error message for nopointer version. 
-! Additional "! defined(__nopointer)" as workaround to enable compilation of 
-! nopointer version.
-! 
-! 2318 2017-07-20 17:27:44Z suehring
-! Get topography top index via Function call 
-! 
-! 2317 2017-07-20 17:27:19Z suehring
-! Bugfix: adjust output of shf. Added support for spinups
-! 
-! 2287 2017-06-15 16:46:30Z suehring
-! Bugfix in determination topography-top index
-! 
-! 2269 2017-06-09 11:57:32Z suehring
-! Enable restart runs with different number of PEs
-! Bugfixes nopointer branch
-! 
-! 2258 2017-06-08 07:55:13Z suehring
-! Bugfix, add pre-preprocessor directives to enable non-parrallel mode
-! 
-! 2233 2017-05-30 18:08:54Z suehring
-!
-! 2232 2017-05-30 17:47:52Z suehring
-! Adjustments according to new surface-type structure. Remove usm_wall_heat_flux; 
-! insteat, heat fluxes are directly applied in diffusion_s.
-! 
-! 2213 2017-04-24 15:10:35Z kanani
-! Removal of output quantities usm_lad and usm_canopy_hr
-! 
-! 2209 2017-04-19 09:34:46Z kanani
-! cpp switch __mpi3 removed,
-! minor formatting,
-! small bugfix for division by zero (Krc)
-! 
-! 2113 2017-01-12 13:40:46Z kanani
-! cpp switch __mpi3 added for MPI-3 standard code (Ketelsen)
-! 
-! 2071 2016-11-17 11:22:14Z maronga
-! Small bugfix (Resler)
-! 
-! 2031 2016-10-21 15:11:58Z knoop
-! renamed variable rho to rho_ocean
-! 
-! 2024 2016-10-12 16:42:37Z kanani
-! Bugfixes in deallocation of array plantt and reading of csf/csfsurf,
-! optimization of MPI-RMA operations,
-! declaration of pcbl as integer,
-! renamed usm_radnet -> usm_rad_net, usm_canopy_khf -> usm_canopy_hr,
-! splitted arrays svf -> svf & csf, svfsurf -> svfsurf & csfsurf,
-! use of new control parameter varnamelength,
-! added output variables usm_rad_ressw, usm_rad_reslw,
-! minor formatting changes,
-! minor optimizations.
-! 
-! 2011 2016-09-19 17:29:57Z kanani
-! Major reformatting according to PALM coding standard (comments, blanks,
-! alphabetical ordering, etc.),
-! removed debug_prints, 
-! removed auxiliary SUBROUTINE get_usm_info, instead, USM flag urban_surface is
-! defined in MODULE control_parameters (modules.f90) to avoid circular 
-! dependencies,
-! renamed canopy_heat_flux to pc_heating_rate, as meaning of quantity changed.
-! 
-! 2007 2016-08-24 15:47:17Z kanani
-! Initial revision
-!
 !
 ! Description:
Index: /palm/trunk/SOURCE/user_data_output_mask.f90
===================================================================
--- /palm/trunk/SOURCE/user_data_output_mask.f90	(revision 4179)
+++ /palm/trunk/SOURCE/user_data_output_mask.f90	(revision 4180)
@@ -38,27 +38,4 @@
 ! Add terrain-following output
 ! 
-! 2718 2018-01-02 08:49:38Z maronga
-! Corrected "Former revisions" section
-! 
-! 2696 2017-12-14 17:12:51Z kanani
-! Change in file header (GPL part)
-!
-! 2101 2017-01-05 16:42:31Z suehring
-!
-! 2000 2016-08-20 18:09:15Z knoop
-! Forced header and separation lines into 80 columns
-! 
-! 1682 2015-10-07 23:56:08Z knoop
-! Code annotations made doxygen readable 
-!
-! 1320 2014-03-20 08:40:49Z raasch
-! kind-parameters added to all INTEGER and REAL declaration statements, 
-! kinds are defined in new module kinds, 
-! old module precision_kind is removed,
-! comment fields (!:) to be used for variable explanations added to
-! all variable declaration statements 
-!
-! 1036 2012-10-22 13:43:42Z raasch
-! code put under GPL (PALM 3.9)
 !
 ! Description:
Index: /palm/trunk/SOURCE/user_flight.f90
===================================================================
--- /palm/trunk/SOURCE/user_flight.f90	(revision 4179)
+++ /palm/trunk/SOURCE/user_flight.f90	(revision 4180)
@@ -30,14 +30,4 @@
 ! Corrected "Former revisions" section
 ! 
-! 2696 2017-12-14 17:12:51Z kanani
-! Change in file header (GPL part)
-!
-! 2101 2017-01-05 16:42:31Z suehring
-!
-! 2000 2016-08-20 18:09:15Z knoop
-! Forced header and separation lines into 80 columns
-! 
-! 1957 2016-07-07 10:43:48Z suehring
-! Initial revision
 !
 ! Description:
Index: /palm/trunk/SOURCE/user_init_3d_model.f90
===================================================================
--- /palm/trunk/SOURCE/user_init_3d_model.f90	(revision 4179)
+++ /palm/trunk/SOURCE/user_init_3d_model.f90	(revision 4180)
@@ -30,29 +30,4 @@
 ! Corrected "Former revisions" section
 ! 
-! 2696 2017-12-14 17:12:51Z kanani
-! Change in file header (GPL part)
-!
-! 2618 2017-11-16 15:37:30Z suehring
-! Provide example for user-defined initialization of surface-related quantities
-! 
-! 2233 2017-05-30 18:08:54Z suehring
-!
-! 2232 2017-05-30 17:47:52Z suehring
-! +surface_mod
-! 
-! 2000 2016-08-20 18:09:15Z knoop
-! Forced header and separation lines into 80 columns
-! 
-! 1682 2015-10-07 23:56:08Z knoop
-! Code annotations made doxygen readable 
-!
-! 1320 2014-03-20 08:40:49Z raasch
-! small changes in layout
-!
-! 1036 2012-10-22 13:43:42Z raasch
-! code put under GPL (PALM 3.9)
-!
-! 211 2008-11-11 04:46:24Z raasch
-! Former file user_interface.f90 split into one file per subroutine
 !
 ! Description:
Index: /palm/trunk/SOURCE/user_init_flight.f90
===================================================================
--- /palm/trunk/SOURCE/user_init_flight.f90	(revision 4179)
+++ /palm/trunk/SOURCE/user_init_flight.f90	(revision 4180)
@@ -30,14 +30,4 @@
 ! Corrected "Former revisions" section
 ! 
-! 2696 2017-12-14 17:12:51Z kanani
-! Change in file header (GPL part)
-!
-! 2101 2017-01-05 16:42:31Z suehring
-!
-! 2000 2016-08-20 18:09:15Z knoop
-! Forced header and separation lines into 80 columns
-! 
-! 1957 2016-07-07 10:43:48Z suehring
-! Initial revision
 !
 ! Description:
Index: /palm/trunk/SOURCE/user_init_grid.f90
===================================================================
--- /palm/trunk/SOURCE/user_init_grid.f90	(revision 4179)
+++ /palm/trunk/SOURCE/user_init_grid.f90	(revision 4180)
@@ -30,41 +30,4 @@
 ! dz was replaced by dz(1)
 ! 
-! 2718 2018-01-02 08:49:38Z maronga
-! Corrected "Former revisions" section
-! 
-! 2696 2017-12-14 17:12:51Z kanani
-! Change in file header (GPL part)
-! Extended argument list (MS)
-! 
-! 2233 2017-05-30 18:08:54Z suehring
-!
-! 2232 2017-05-30 17:47:52Z suehring
-! +Generic tunnel added
-! +Example of setting user-defined topography
-! 
-! 2000 2016-08-20 18:09:15Z knoop
-! Forced header and separation lines into 80 columns
-! 
-! 1968 2016-07-18 12:01:49Z suehring
-! Change dimensions for nzb_local, which do not longer need to be set on 
-! multigrid ghost points. 
-! 
-! 1682 2015-10-07 23:56:08Z knoop
-! Code annotations made doxygen readable 
-!
-! 1320 2014-03-20 08:40:49Z raasch
-! kind-parameters added to all INTEGER and REAL declaration statements, 
-! kinds are defined in new module kinds, 
-! old module precision_kind is removed,
-! revision history before 2012 removed,
-! comment fields (!:) to be used for variable explanations added to
-! all variable declaration statements 
-!
-! 1036 2012-10-22 13:43:42Z raasch
-! code put under GPL (PALM 3.9)
-!
-! 217 2008-12-09 18:00:48Z letzel
-! +topography_grid_convention
-! Former file user_interface.f90 split into one file per subroutine
 !
 ! Description:
Index: /palm/trunk/SOURCE/user_init_land_surface.f90
===================================================================
--- /palm/trunk/SOURCE/user_init_land_surface.f90	(revision 4179)
+++ /palm/trunk/SOURCE/user_init_land_surface.f90	(revision 4180)
@@ -30,27 +30,4 @@
 ! Corrected "Former revisions" section
 ! 
-! 2696 2017-12-14 17:12:51Z kanani
-! Change in file header (GPL part)
-!
-! 2233 2017-05-30 18:08:54Z suehring
-!
-! 2232 2017-05-30 17:47:52Z suehring
-! Load surface_mod
-! Add simple example how to access surface data type
-! 
-! 2000 2016-08-20 18:09:15Z knoop
-! Forced header and separation lines into 80 columns
-! 
-! 1972 2016-07-26 07:52:02Z maronga
-! Update of use statements
-! 
-! 1682 2015-10-07 23:56:08Z knoop
-! Code annotations made doxygen readable 
-! 
-! 1585 2015-04-30 07:05:52Z maronga
-! Changed description text
-! 
-! 1496 2014-12-02 17:25:50Z maronga
-! Initial revision
 ! 
 ! Description:
Index: /palm/trunk/SOURCE/user_init_plant_canopy.f90
===================================================================
--- /palm/trunk/SOURCE/user_init_plant_canopy.f90	(revision 4179)
+++ /palm/trunk/SOURCE/user_init_plant_canopy.f90	(revision 4180)
@@ -30,40 +30,4 @@
 ! Corrected "Former revisions" section
 ! 
-! 2696 2017-12-14 17:12:51Z kanani
-! Change in file header (GPL part)
-!
-! 2101 2017-01-05 16:42:31Z suehring
-!
-! 2000 2016-08-20 18:09:15Z knoop
-! Forced header and separation lines into 80 columns
-! 
-! 1951 2016-06-20 10:05:12Z suehring
-! Bugfix in example initialization
-!
-! 1682 2015-10-07 23:56:08Z knoop
-! Code annotations made doxygen readable 
-! 
-! 1484 2014-10-21 10:53:05Z kanani
-! Changes in the course of the canopy-model modularization:
-!   module plant_canopy_model_mod added,
-!   definition of array cdc (canopy drag coefficient) removed, since it is now
-!   defined purely as a single constant value (see module plant_canopy_model)
-! 
-! 1353 2014-04-08 15:21:23Z heinze
-! REAL constants provided with KIND-attribute 
-!
-! 1320 2014-03-20 08:40:49Z raasch
-! kind-parameters added to all INTEGER and REAL declaration statements, 
-! kinds are defined in new module kinds, 
-! old module precision_kind is removed,
-! revision history before 2012 removed,
-! comment fields (!:) to be used for variable explanations added to
-! all variable declaration statements 
-!
-! 1036 2012-10-22 13:43:42Z raasch
-! code put under GPL (PALM 3.9)
-!
-! 211 2008-11-11 04:46:24Z raasch
-! Former file user_interface.f90 split into one file per subroutine
 !
 ! Description:
Index: /palm/trunk/SOURCE/user_init_radiation.f90
===================================================================
--- /palm/trunk/SOURCE/user_init_radiation.f90	(revision 4179)
+++ /palm/trunk/SOURCE/user_init_radiation.f90	(revision 4180)
@@ -30,17 +30,4 @@
 ! Corrected "Former revisions" section
 ! 
-! 2696 2017-12-14 17:12:51Z kanani
-! Change in file header (GPL part)
-!
-! 2101 2017-01-05 16:42:31Z suehring
-! 
-! 2000 2016-08-20 18:09:15Z knoop
-! Forced header and separation lines into 80 columns
-! 
-! 1682 2015-10-07 23:56:08Z knoop
-! Code annotations made doxygen readable 
-! 
-! 1585 2015-04-30 07:05:52Z maronga
-! Initial revision
 ! 
 ! Description:
Index: /palm/trunk/SOURCE/user_init_urban_surface.f90
===================================================================
--- /palm/trunk/SOURCE/user_init_urban_surface.f90	(revision 4179)
+++ /palm/trunk/SOURCE/user_init_urban_surface.f90	(revision 4180)
@@ -31,19 +31,4 @@
 ! Corrected "Former revisions" section
 ! 
-! 2696 2017-12-14 17:12:51Z kanani
-! Change in file header (GPL part)
-!
-! 2233 2017-05-30 18:08:54Z suehring
-!
-! 2232 2017-05-30 17:47:52Z suehring
-! Load surface_mod
-! Add simple example how to access surface data type
-! 
-! 2011 2016-09-19 17:29:57Z kanani
-! Flag urban_surface is now defined in module control_parameters.
-! 
-! 2007 2016-08-24 15:47:17Z kanani
-! Initial revision
-!
 !
 ! Description:
Index: /palm/trunk/SOURCE/user_lpm_advec.f90
===================================================================
--- /palm/trunk/SOURCE/user_lpm_advec.f90	(revision 4179)
+++ /palm/trunk/SOURCE/user_lpm_advec.f90	(revision 4180)
@@ -30,42 +30,4 @@
 ! Corrected "Former revisions" section
 ! 
-! 2696 2017-12-14 17:12:51Z kanani
-! Change in file header (GPL part)
-!
-! 2417 2017-09-06 15:22:27Z suehring
-! Particle loops adapted for sub-box structure, i.e. for each sub-box the 
-! particle loop runs from start_index up to end_index instead from 1 to 
-! number_of_particles.
-! 
-! 2101 2017-01-05 16:42:31Z suehring
-!
-! 2000 2016-08-20 18:09:15Z knoop
-! Forced header and separation lines into 80 columns
-! 
-! 1682 2015-10-07 23:56:08Z knoop
-! Code annotations made doxygen readable 
-! 
-! 1416 2014-06-04 16:04:03Z suehring
-! Provide template for new particle structure.
-! Moreover, user_lpm_advec is called for each gridpoint.
-! 
-! 1359 2014-04-11 17:15:14Z hoffmann
-! New particle structure integrated. 
-!
-! 1320 2014-03-20 08:40:49Z raasch
-! kind-parameters added to all INTEGER and REAL declaration statements, 
-! kinds are defined in new module kinds, 
-! old module precision_kind is removed,
-! comment fields (!:) to be used for variable explanations added to
-! all variable declaration statements 
-!
-! 1036 2012-10-22 13:43:42Z raasch
-! code put under GPL (PALM 3.9)
-!
-! 849 2012-03-15 10:35:09Z raasch
-! routine renamed user_lpm_advec
-!
-! 211 2008-11-11 04:46:24Z raasch
-! Former file user_interface.f90 split into one file per subroutine
 !
 ! Description:
